Debian Bug report logs - #648396
broadcom-sta: Breaks existing configuration after renaming interface

version graph

Package: src:broadcom-sta; Maintainer for src:broadcom-sta is Cyril Lacoux <clacoux@easter-eggs.com>;

Reported by: Geoff Simmons <gsimmons@gsimmons.org>

Date: Fri, 11 Nov 2011 04:39:01 UTC

Severity: normal

Tags: patch

Found in version broadcom-sta/5.100.82.112-2

Fixed in version broadcom-sta/5.100.82.112-3

Done: Cyril Lacoux <clacoux@easter-eggs.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#648396; Package src:broadcom-sta. (Fri, 11 Nov 2011 04:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Simmons <gsimmons@gsimmons.org>:
New Bug report received and forwarded. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Fri, 11 Nov 2011 04:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Geoff Simmons <gsimmons@gsimmons.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: broadcom-sta: Breaks existing configuration after renaming interface
Date: Fri, 11 Nov 2011 15:35:01 +1100
Source: broadcom-sta
Version: 5.100.82.112-2
Severity: normal

Due to 02-rename-to-wlan0.patch (applied via #648169), the interface created
by wl was renamed (now wlan0, formerly eth1) following an upgrade.  This
affected my existing ifupdown configuration, requiring amendments within
/etc/network/interfaces to restore wireless LAN connectivity.

>From /etc/udev/rules.d/70-persistent-net.rules:

    # PCI device 0x14e4:0x4329 (wl)
    SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:1c:10:2d:aa:63", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth1"

    # PCI device 0x14e4:0x4329 (wl)
    SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:1c:10:2d:aa:63", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="wlan*", NAME="wlan0"

I don't see why it was necessary to divert from upstream here, as other
non-mac80211 drivers (e.g. atmel*, ipw2100, ipw2200, orinoco*, zd1201) were
not adapted to follow this mac80211 convention.

If users are to be potentially inconvenienced after a package upgrade, this
should be noted in a NEWS.Debian file.

Geoff

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/1 CPU core)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#648396; Package src:broadcom-sta. (Fri, 11 Nov 2011 11:52:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Lacoux <clacoux@easter-eggs.com>:
Extra info received and forwarded to list. (Fri, 11 Nov 2011 11:52:56 GMT) Full text and rfc822 format available.

Message #10 received at 648396@bugs.debian.org (full text, mbox):

From: Cyril Lacoux <clacoux@easter-eggs.com>
To: Geoff Simmons <gsimmons@gsimmons.org>, 648396@bugs.debian.org
Subject: Re: Bug#648396: broadcom-sta: Breaks existing configuration after renaming interface
Date: Fri, 11 Nov 2011 15:42:32 +0400
Le vendredi 11 novembre 2011 08:35:01, vous avez écrit :

Geoff,

> Due to 02-rename-to-wlan0.patch (applied via #648169), the interface
> created by wl was renamed (now wlan0, formerly eth1) following an upgrade.
>  This affected my existing ifupdown configuration, requiring amendments
> within /etc/network/interfaces to restore wireless LAN connectivity.

You're right, I missed the point since my configuration is handled via network 
manager with dhcp only. Mea culpa.

> I don't see why it was necessary to divert from upstream here, as other
> non-mac80211 drivers (e.g. atmel*, ipw2100, ipw2200, orinoco*, zd1201) were
> not adapted to follow this mac80211 convention.

Not really necessary but a clean patch was submitted and all wireless 
interfaces that are in my other computers are named wlan0, so why not?
 
> If users are to be potentially inconvenienced after a package upgrade, this
> should be noted in a NEWS.Debian file.

Right, are you ok with this message:

  Interface is now renamed from ethX to wlanY to follow mac80211 convention
  (in my case, eth1 was renamed to wlan0).
  If you experience any networking problem after this upgrade, you should
  have a look to /etc/network/interfaces file and replace any occurrences of
  ethX with wlanY.
  You can also safely remove the old configuration parameters concerning wl
  module from udev persistent network rules file:
  /etc/udev/rules.d/70-persistent-net.rules

(I'm not a native english speaker, so any improvements are welcome)

Many thanks for all your contibutions to this package!

Kind regards,
-- 
Cyril Lacoux




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#648396; Package src:broadcom-sta. (Fri, 11 Nov 2011 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Simmons <gsimmons@gsimmons.org>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Fri, 11 Nov 2011 14:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 648396@bugs.debian.org (full text, mbox):

From: Geoff Simmons <gsimmons@gsimmons.org>
To: Cyril Lacoux <clacoux@easter-eggs.com>, 648396@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#648396: broadcom-sta: Breaks existing configuration after renaming interface
Date: Sat, 12 Nov 2011 01:29:15 +1100
[Message part 1 (text/plain, inline)]
tags 648396 patch
thanks

On Fri, Nov 11, 2011 at 03:42:32PM +0400, Cyril Lacoux wrote:
> Not really necessary but a clean patch was submitted and all wireless
> interfaces that are in my other computers are named wlan0, so why not?

OK, but other ethX references in this package would need to be similarly
adjusted or omitted.  A patch is attached.

> Right, are you ok with this message:
>
>   Interface is now renamed from ethX to wlanY to follow mac80211 convention
>   (in my case, eth1 was renamed to wlan0).
>   If you experience any networking problem after this upgrade, you should
>   have a look to /etc/network/interfaces file and replace any occurrences of
>   ethX with wlanY.
>   You can also safely remove the old configuration parameters concerning wl
>   module from udev persistent network rules file:
>   /etc/udev/rules.d/70-persistent-net.rules

This could be better presented as (NetworkManager note added):

  As of broadcom-sta version 5.100.82.112-2, interfaces created by the
  driver supplied in this package will use the "wlan" prefix (e.g. wlan0),
  following the convention set by mac80211 drivers.

  If you experience networking problems following an upgrade, edit
  /etc/network/interfaces and adjust lines relating to your wireless LAN
  configuration (e.g. "iface eth1 inet dhcp") with the new interface name.
  NetworkManager users should not be affected by this change.

  You can safely remove the old configuration parameters concerning the wl
  module from /etc/udev/rules.d/70-persistent-net.rules.

Geoff
[broadcom-sta_wlan_renaming.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Geoff Simmons <gsimmons@gsimmons.org> to control@bugs.debian.org. (Fri, 11 Nov 2011 14:33:09 GMT) Full text and rfc822 format available.

Reply sent to Cyril Lacoux <clacoux@easter-eggs.com>:
You have taken responsibility. (Thu, 17 Nov 2011 09:33:04 GMT) Full text and rfc822 format available.

Notification sent to Geoff Simmons <gsimmons@gsimmons.org>:
Bug acknowledged by developer. (Thu, 17 Nov 2011 09:33:05 GMT) Full text and rfc822 format available.

Message #22 received at 648396-close@bugs.debian.org (full text, mbox):

From: Cyril Lacoux <clacoux@easter-eggs.com>
To: 648396-close@bugs.debian.org
Subject: Bug#648396: fixed in broadcom-sta 5.100.82.112-3
Date: Thu, 17 Nov 2011 09:32:11 +0000
Source: broadcom-sta
Source-Version: 5.100.82.112-3

We believe that the bug you reported is fixed in the latest version of
broadcom-sta, which is due to be installed in the Debian FTP archive:

broadcom-sta-common_5.100.82.112-3_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-common_5.100.82.112-3_all.deb
broadcom-sta-source_5.100.82.112-3_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-source_5.100.82.112-3_all.deb
broadcom-sta_5.100.82.112-3.debian.tar.gz
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.112-3.debian.tar.gz
broadcom-sta_5.100.82.112-3.dsc
  to non-free/b/broadcom-sta/broadcom-sta_5.100.82.112-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Lacoux <clacoux@easter-eggs.com> (supplier of updated broadcom-sta package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Nov 2011 15:09:34 +0400
Source: broadcom-sta
Binary: broadcom-sta-common broadcom-sta-source
Architecture: source all
Version: 5.100.82.112-3
Distribution: unstable
Urgency: low
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Changed-By: Cyril Lacoux <clacoux@easter-eggs.com>
Description: 
 broadcom-sta-common - Common files for the Broadcom STA Wireless driver
 broadcom-sta-source - Source for the Broadcom STA Wireless driver
Closes: 648396
Changes: 
 broadcom-sta (5.100.82.112-3) unstable; urgency=low
 .
   * Added a note to NEWS.Debian to inform the user that the interface has been
     renamed in 5.100.82.112-2 (Closes: #648396).
Checksums-Sha1: 
 761b4dfe645af6a6fe5ae875c1bba38564039b5c 1917 broadcom-sta_5.100.82.112-3.dsc
 d3564f86058599080c8fdbb85f9bc82a58f55354 14534 broadcom-sta_5.100.82.112-3.debian.tar.gz
 31cd9aa20f713454fdfeffaa6bd862bcba2df4a3 11474 broadcom-sta-common_5.100.82.112-3_all.deb
 d676242463998c81075e29161aaef3f81a3aa16e 2077216 broadcom-sta-source_5.100.82.112-3_all.deb
Checksums-Sha256: 
 3fa04fc03f2ef01cbf2230ac6f58992d37df27d7babe4913d12b3214437a5398 1917 broadcom-sta_5.100.82.112-3.dsc
 6000587195c882bfee7f6fe9e30a05c5292c4a04832a8978458d341158682f77 14534 broadcom-sta_5.100.82.112-3.debian.tar.gz
 1ee178fa6072cacf839a5e534510dbc10f1dfbb62365957e8a4f429b583e4598 11474 broadcom-sta-common_5.100.82.112-3_all.deb
 8e07625b800bee98d19b2e56f66231e82c181f4b56f74522e809e0adf2472ee1 2077216 broadcom-sta-source_5.100.82.112-3_all.deb
Files: 
 df686005aebf66ca23a8963229c0ff24 1917 non-free/admin optional broadcom-sta_5.100.82.112-3.dsc
 953d353ab7b3d7c9160ec2b99f89748e 14534 non-free/admin optional broadcom-sta_5.100.82.112-3.debian.tar.gz
 06aedf45e688b298b414001c08784fb7 11474 non-free/admin optional broadcom-sta-common_5.100.82.112-3_all.deb
 868aad7be88e579fae2d5a13cab44a55 2077216 non-free/admin optional broadcom-sta-source_5.100.82.112-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOxNH7AAoJEGEbqVCLeKXCTmQP/0iD1XPFmAcil6GbsBr7TKCe
1ySUh1+6ZyUUjp63zr4r4qr5xotuWvUUvJvQsQbpBFtk02KeMZjWD9UMXz/ARraV
i72je4obOKAu0p1IVtosVQdg3OiZyq87yodCGrSqBow8ZuglCYylOFWOezWswFq4
N61oPWokbLqvrwMvZJINO/B055xR/cJXLg+EYoslnURXw5yj9qcpoA1f3eDha/5S
u2qMgFypfOBHqlwhayo8oX7+ojGcWi0y1p6vgIS22TVckxddDAGbDGyyiL4Pa6m2
j4U4qXhuh2DH9lzIbiGwdIadSuvIDKsnAcFuMtYCKMujeV4h0+pJg6hhD7z+NBS3
01wXHcvbbuNyzA1iCmgj6oZe5Fjx/PTpcIVD0uqnrSJqjb7S5qm2D0D/orM3xUvl
7Yber26rsdCYs8pWlNXj8QQ0OgYSzyoRkxkSzNvFSwu0s+O35aEeVUcYTaz97AV/
W0JRkfRNDAp04GD5uxlFNw8j5AntWa1SVADJ8JM5HN+c7BI9rCN4meHODpW4GJVU
FB2vldCXORApbwkfF213YE76eyt+jyW+KrU6mXSbF8dMlU1KPlOuGMpP1wwXibPq
rQh52sJvHOMaoP5At/ClwFBSOItsH4icfGYUtWRXlkc30VzDgkIIsWmo++8DERKa
wJIrik0MAR416j619BTF
=Zplh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jan 2012 07:38:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:20:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.